Skip to main content
POST
/
organizations
/
{organization_id}
/
orders
/
{order_id}
/
authorize
Create confirmation credentials for for 3D-Secure
curl --request POST \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/orders/{order_id}/authorize \
  --header 'Authorization: Bearer <token>'
{
  "redirect_to_url": {
    "return_url": "<string>",
    "url": "<string>"
  },
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

order_id
string
required

The ID of the order.

Response

Payment authorization credentials, if the payment is pending

redirect_to_url
object

URL information to complete the payment.

type
string

Required payment action type.

Last modified on March 25, 2026